DefaultTermStats
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.index
Class DefaultTermStats

    java.lang.Object
      org.gcube.dir.master.index.DefaultTermStats

All Implemented Interfaces:
  TermStats

    public class DefaultTermStats

extends java.lang.Object
implements TermStats

Implementation of `TermStats` based on term frequencies within and across documents.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`DefaultTermStats()`

Method Summary
`int` | `getDocFrequency()` Returns the document frequency of the terms.
`int` | `getFrequency()` Returns the collection frequency of the term.
`void` | `setDocFrequency(int docFrequency)` Sets the document frequency of the terms.
`void` | `setFrequency(int frequency)` Sets the collection frequency of the term.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTermStats

    public DefaultTermStats()

Method Detail

### getDocFrequency

    public int getDocFrequency()

  Returns the document frequency of the terms.

  Returns:
    the document frequency.

### setDocFrequency

    public void setDocFrequency(int docFrequency)

  Sets the document frequency of the terms.

  Parameters:
    `docFrequency` - the document frequency.

### getFrequency

    public int getFrequency()

  Returns the collection frequency of the term.

  Returns:
    the collection frequency.

### setFrequency

    public void setFrequency(int frequency)

  Sets the collection frequency of the term.

  Parameters:
    `frequency` - the collection frequency.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD